設定工具組 - AWS Toolkit for Eclipse

本文為英文版的機器翻譯版本,如內容有任何歧義或不一致之處,概以英文版為準。

設定工具組

本節將說明如何安裝或升級 Toolkit for Eclipse。

Prerequisites

Toolkit for Eclipse 有以下事前準備:

  • Amazon Web Services 帳戶— 若要取得AWS帳戶中,移至AWS首頁,然後按一下註冊。註冊可讓您使用AWS。

  • 支援的作業系統— Toolkit for Eclipse 在 Windows、Linux、macOS 或 Unix 中受到支援。

  • Java 1.8

  • 適用於 Java 開發人員 4.2 或更高版本的— 我們嘗試持續更新 Toolkit for Eclipse,與Eclipse 下載頁面

    注意

    Eclipse 提供多種不同的下載。我們建議安裝適用於企業 Java 開發人員的,其中包括網絡工具平台所需的 Elastic Beanstalk,數據工具平台所需的 Amazon SimpleDB 庫功能,Eclipse Eclipse,以及日蝕。如果您安裝其他版本的 Eclipse,請確保您 (或您使用所提供之連結安裝的版本) 支援這些功能。

安裝 Toolkit for Eclipse

安裝AWSToolkit for Eclipse

  1. 在 Eclipse 中,按一下 Help (說明),然後按一下 Install New Software (安裝新軟體)

  2. 在 中使用方塊中,鍵入https://aws.amazon.com/eclipse;然後按Enter

  3. 選擇您要安裝的 Toolkit for Eclipse 的元件名稱。按一下 Select All (全選) 一次安裝所有元件。

    注意
    • AWSToolkit for Eclipse 核心(在AWS核心管理工具部分) 是必需的; 所有其他組件都是可選的。

    • Support 於亞馬遜 RDS 或 Amazon SimpleDB 庫管理員的支持要求數據工具平台(DTP) 已安裝。根據預設,DTP 是由 Eclipse 的「Java EE 開發人員專用版本」安裝,或者也能另行安裝

  4. 在您選擇之後,按一下 Next (下一步) (或 Finish (完成)) 以完成安裝。

一旦你設定好 Toolkit for Eclipse,你應該設定您的AWS登入資料

注意

根據選取的選項,及其他多種因素,例如網路速度、伺服器延遲和系統功能等,最多可能需要花費 30 分鐘的時間完成安裝。

升級 Toolkit for Eclipse

若要升級或重新安裝 Toolkit for Eclipse,請使用安裝工具組

有些版本的 Eclipse (特別是 MarsNeon),可能因為 Oomph 外掛程式舊版中的錯誤而無法擷取最新的成品。若要解決這個問題:

  1. 請確認您使用https://aws.amazon.com/eclipse/site.xml作為 Toolkit for Eclipse 更新站點。

  2. 刪除 ~/.eclipse/org.eclipse.oomph.p2/cache/ 目錄以移除快取內容。

  3. 安裝最新版本的 Oomph (Eclipse 安裝程式)